Subject: 🏆 Week 29: 90 POUNDS LOST - Milestone Week
From: RetatrutideLog <[email-masked]>
To: [email-masked]
Date: Sat, 24 Jan 2026 21:31:24 +0000

Week 29: 90 pounds lost milestone! 246.2 lbs, body fat 22.7%. Built custom water tracker. Muscle "loss" was water flush. Sleep beats forced workouts.

RetatrutideLog Weekly

Hey everyone,

🏆 Week 29: 90 Pounds Lost!

This was the week I crossed 90 pounds lost. From 336.6 lbs to 246.2 lbs in twenty-nine weeks. Lost 2.6 lbs of fat, body fat at 22.7%. Built a custom water tracker and learned that sleep beats forced workouts.

246.2

Weight

-2.6 lbs

Fat Lost

22.7%

Body Fat

📝 This Week's Post

🏆 Week 29: 90 Pounds Lost - The Milestone Week

90 pounds lost milestone! Built custom water tracker (retatrutidelog.com/water). The 1.2 lb muscle "loss" was actually water flush. Visceral fat at 9 (lowest yet). Sleep sacrifice lessons learned.

👉 Read the full update →

🧪 Protocol Status [Week 29]

# Metabolic / Peptides

- Retatrutide: 12mg weekly (single dose Monday)

- GHK-Cu: 2mg daily

# HRT / Growth

- Test Cyp: 150mg (2x 75mg IM Mon/Thu)

- HGH: 5iu daily (IM at night)

# BP Management

- Telmisartan: 40mg daily (AM before gym)

💧 New Tool: Water Tracker

Built because every free app is an ad trap

✓ No account required

✓ Ad-free forever

✓ Get custom shareable URL

✓ Password-protected editing

✓ View-only mode for sharing

Create Your Tracker →

📺 YouTube

447 Subscribers!

Watch Channel →

🚶 StepUp

652k steps, 13 members

Join Challenge →

🔗 Vetted Sources

Links to the exact sources I personally use.

🇺🇸 Testosterone & Anabolics

Domestic Shipping • Vetted Batch Lab

Backup source for test and related compounds outside the clinic route. Reliable domestic delivery.

Use code: DARKREBUILD

BITCOIN ONLY

5% OFF

Get 5% Discount →

💊 Pharma Ancillaries (PCT Zone)

Pharma Grade • Global Warehouses

Pharma-grade Telmisartan (BP), Cialis, and PCT meds. India is cheapest; US is fastest shipping.

Use code: DARKREBUILD

BITCOIN ONLY

INDIA: CHEAPEST

US: FASTEST

Get 10% Discount →

Questions About Protocol or Tech Stack?

I'm a Director of Development documenting this journey. If you have questions about peptide protocols or the tech stack behind this site, reply to this email.

From 336.6 to 246.2 in twenty-nine weeks.

90.4 pounds lost. Body fat 22.7%. Visceral fat at 9. Sustainable progress.

All Posts
Dosing Calculator
Water Tracker
YouTube

You're receiving this because you subscribed to RetatrutideLog updates.

Unsubscribe